com.pixelmed.test

## Class TestDicomDirectoryRecordFactory

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestDicomDirectoryRecordFactory

-     public class TestDicomDirectoryRecordFactory
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestDicomDirectoryRecordFactory(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestDicomDirectoryRecordFactory_MissingDirectoryRecordType()`
    `void` | `TestDicomDirectoryRecordFactory_PatientDirectoryRecordType()`
    `void` | `TestDicomDirectoryRecordFactory_StudyRecord()`
    `void` | `TestDicomDirectoryRecordFactory_UnrecognizableDirectoryRecordType()`
    `void` | `TestDicomDirectoryRecordFactory_ZeroLengthDirectoryRecordType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestDicomDirectoryRecordFactory

          public TestDicomDirectoryRecordFactory(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### TestDicomDirectoryRecordFactory_MissingDirectoryRecordType

          public void TestDicomDirectoryRecordFactory_MissingDirectoryRecordType()
                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestDicomDirectoryRecordFactory_ZeroLengthDirectoryRecordType

          public void TestDicomDirectoryRecordFactory_ZeroLengthDirectoryRecordType()
                                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestDicomDirectoryRecordFactory_UnrecognizableDirectoryRecordType

          public void TestDicomDirectoryRecordFactory_UnrecognizableDirectoryRecordType()
                                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestDicomDirectoryRecordFactory_PatientDirectoryRecordType

          public void TestDicomDirectoryRecordFactory_PatientDirectoryRecordType()
                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestDicomDirectoryRecordFactory_StudyRecord

          public void TestDicomDirectoryRecordFactory_StudyRecord()
                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`